API reference · Identity and tokens
List the caller's live sessions, the browser's and the CLI's
GET
/v1/sessions- Permission
authenticated: any signed-in caller or API token- Operation
iam.sessions.list
Response 200
| Field | Type | Required | Notes |
|---|---|---|---|
items | array of object | yes | |
items[].id | string | yes | for example "session_01h455vb4pex5vsknk084sn02q" |
items[].kind | string | yes | one of "browser", "cli" |
items[].name | string or null | yes | |
items[].createdAt | string (date-time) | yes | UTC, ISO 8601. |
items[].lastSeenAt | string (date-time) | yes | UTC, ISO 8601. |
items[].expiresAt | string (date-time) | yes | UTC, ISO 8601. |
items[].ip | string or null | yes | |
items[].userAgent | string or null | yes | |
items[].current | boolean | yes |